#version 430
precision highp float;

out vec4 frag_color;

in vec2 tex_coords;

uniform sampler2D albedoGbuffer;
uniform sampler2D positionGbuffer;
uniform sampler2D normalGbuffer;

void main()
{
    vec3 hdr_color = texture(albedoGbuffer, tex_coords).rgb;
    vec3 tone_mapped_color = hdr_color / (hdr_color + vec3(1.0));
    tone_mapped_color = pow(tone_mapped_color, vec3(1.0/2.2));

    vec3 position = texture(positionGbuffer, tex_coords).rgb;
    vec3 normal = texture(normalGbuffer, tex_coords).rgb;

    frag_color = vec4(normal, 1.0);
}
